//
//  DNIndexedSubNodeRule.m
//  dXml
//
//  Created by Derek Clarkson on 27/01/10.
//  Copyright 2010 Derek Clarkson. All rights reserved.
//

#import <dNodi/DNIndexedSelector.h>
#import <dUsefulStuff/DCCommon.h>

@implementation DNIndexedSelector {
	@private
	int _idx;
}

- (id) initWithIndex:(int)anIndex {
	self = [super init];
	if (self) {
		_idx = anIndex;
	}
	return self;
}

-(NSArray *) processNode:(id<DNNode>)node index:(NSUInteger)index {
	DC_LOG(@"Checking node index: %i %@", index, _idx == index ? @"Found" : @"");
	return _idx == index ? @[node] : nil;
}

@end
