//
//  DNParentNodeRule.m
//  dXml
//
//  Created by Derek Clarkson on 27/01/10.
//  Copyright 2010 Derek Clarkson. All rights reserved.
//

#import <dNodi/DNParentSelector.h>
#import <dUsefulStuff/DCCommon.h>


@implementation DNParentSelector

-(NSArray *) processNode:(id<DNNode>)node index:(NSUInteger)index {
	DC_LOG(@"Looking for parent node: %@", node.dnParentNode == nil ? @"Not found" : @"found");
	return node.dnParentNode == nil ? nil : @[node.dnParentNode];
}

@end
