//
//  DNChildNodesSelectorTests.m
//  dNodi
//
//  Created by Derek Clarkson on 21/11/12.
//  Copyright (c) 2012. All rights reserved.
//

#import <GHUnitIOS/GHUnit.h>
#import <dNodi/DNChildNodesSelector.h>
#import "AbstractTestBase.h"

@interface DNChildNodesSelectorTests : AbstractTestBase

@end

@implementation DNChildNodesSelectorTests

-(void) testSubNodes {
	id<DNSelector> selector = [[[DNChildNodesSelector alloc] init] autorelease];
	NSArray *nodes = [selector executeWithNodes:@[abc]];
	GHAssertEquals([nodes count], (NSUInteger) 6, nil);
	GHAssertTrue([nodes containsObject:def0], nil);
	GHAssertTrue([nodes containsObject:def1], nil);
	GHAssertTrue([nodes containsObject:opq], nil);
	GHAssertTrue([nodes containsObject:opz], nil);
	GHAssertTrue([nodes containsObject:zpq], nil);
	GHAssertTrue([nodes containsObject:ozq], nil);
}

@end
