//
//  DNSelectorFactoryDelegate.h
//  dNodi
//
//  Created by Derek Clarkson on 21/11/12.
//
//

#import <dNodi/DNSelector.h>

/**
 Implemented by classes wanting to known when teh selector factory has enough data to create a selector.
 */
@protocol DNSelectorFactoryDelegate <NSObject>

/// @name Tasks

/**
 A new seletor has been created.

 */
-(void) didCreateSelector:(id<DNSelector>) selector;

@end
