//
//  DNTreeSearchSelector.m
//  dNodi
//
//  Created by Derek Clarkson on 30/11/12.
//
//

#import "DNTreeSearchSelector.h"

@implementation DNTreeSearchSelector

-(NSArray *) processNode:(id<DNNode>) node index:(NSUInteger) index {
	NSMutableArray *newNodes = [NSMutableArray arrayWithObject:node];
	[node.dnSubNodes enumerateObjectsUsingBlock:^(id obj, NSUInteger idx, BOOL *stop) {
		[newNodes addObjectsFromArray:[self processNode:obj index:idx]];
	}];
	return newNodes;
}

@end
