//
//  DNRootNodeRuleTests.m
//  dXml
//
//  Created by Derek Clarkson on 25/01/10.
//  Copyright 2010 Derek Clarkson. All rights reserved.
//
#import "AbstractTestBase.h"
#import <dNodi/DNAttributeSelector.h>

@interface DNAttributeSelectorTests : AbstractTestBase
@end

@implementation DNAttributeSelectorTests

- (void) testSelectsNode {
	id<DNSelector> selector = [[[DNAttributeSelector alloc] initWithAttributeName:@"xyz" value:@"xxx"] autorelease];
	NSArray * results = [selector executeWithNodes:abc.dnSubNodes];
	
	GHAssertEquals((int)[results count], 1, nil);
	GHAssertEqualStrings(((id<DNNode>)results[0]).dnName, @"def", nil);
}

@end
