//
//  DNRootNodeRuleTests.m
//  dXml
//
//  Created by Derek Clarkson on 25/01/10.
//  Copyright 2010 Derek Clarkson. All rights reserved.
//
#import <GHUnitIOS/GHUnit.h>
#import <dNodi/DNIndexedSelector.h>
#import "AbstractTestBase.h"

@interface DNIndexedSelectorTests : AbstractTestBase

@end


@implementation DNIndexedSelectorTests

- (void) testBasicIndex {
	NSArray *subnodes = abc.dnSubNodes;
	id<DNSelector> selector = [[[DNIndexedSelector alloc] initWithIndex:2] autorelease];
	NSArray *nodes = [selector executeWithNodes:subnodes];
	GHAssertEqualObjects(nodes[0], subnodes[2], nil);
}

- (void) testBasicIndexBeyondArray {
	NSArray *subnodes = abc.dnSubNodes;
	id<DNSelector> selector = [[[DNIndexedSelector alloc] initWithIndex:2] autorelease];
	NSArray *nodes = [selector executeWithNodes:subnodes];
	GHAssertEqualObjects(nodes[0], subnodes[2], nil);
}

@end
