//
//  DNTreeSearchSelectorTests.m
//  dNodi
//
//  Created by Derek Clarkson on 30/11/12.
//  Copyright (c) 2012. All rights reserved.
//

#import <GHUnitIOS/GHUnit.h>
#import <dNodi/DNTreeSearchSelector.h>
#import "AbstractTestBase.h"

@interface DNTreeSearchSelectorTests : AbstractTestBase

@end

@implementation DNTreeSearchSelectorTests

-(void) testFlattensNodes {
	
	id<DNSelector> selector = [[[DNTreeSearchSelector alloc] init] autorelease];
	NSArray *results = [selector executeWithNodes:@[abc]];
	GHAssertEquals([results count], (NSUInteger) 9, nil);
	GHAssertEqualObjects(results, (@[abc, def0, ghi, def1, lmn, opq, opz, zpq, ozq]), nil);
}

@end
