//
//  OCMockBugTests.m
//  dNodi
//
//  Created by Derek Clarkson on 5/02/12.
//  Copyright (c) 2012. All rights reserved.
//

#import <GHUnitIOS/GHUnit.h>
#import <OCMock/OCMock.h>

@protocol TestProtocol <NSObject>
-(void) doSomethingWith:(NSString *) aString;
@end

@interface OCMockBugTests : GHTestCase

@end

@implementation OCMockBugTests

-(void) testExpectationBug {
   
   id mockTestP = [OCMockObject mockForProtocol:@protocol(TestProtocol)];
   
   [[mockTestP expect] doSomethingWith:@"abc"];
   //[mockTestP logInvocations:YES];
   
   NSString *arg = [NSString stringWithFormat:@"a%@", @"bc"];

   [mockTestP doSomethingWith:arg];
   
   [mockTestP verify];
   
}



@end
